Package org.springframework.web.client

# Interface RestClient.RequestBodyUriSpec

All Superinterfaces:
  `RestClient.RequestBodySpec`, `RestClient.RequestHeadersSpec<RestClient.RequestBodySpec>`, `RestClient.RequestHeadersUriSpec<RestClient.RequestBodySpec>`, `RestClient.UriSpec<RestClient.RequestBodySpec>`

Enclosing interface:
  RestClient

public static interface RestClient.RequestBodyUriSpec extends RestClient.RequestBodySpec, RestClient.RequestHeadersUriSpec<RestClient.RequestBodySpec>
Contract for specifying request headers, body and URI for a request.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.springframework.web.client.RestClient.RequestHeadersSpec

`RestClient.RequestHeadersSpec.ConvertibleClientHttpResponse, RestClient.RequestHeadersSpec.ExchangeFunction<T>, RestClient.RequestHeadersSpec.RequiredValueExchangeFunction<T>`

## Method Summary

### Methods inherited from interface org.springframework.web.client.RestClient.RequestBodySpec

`body, body, body, contentLength, contentType`

### Methods inherited from interface org.springframework.web.client.RestClient.RequestHeadersSpec

`accept, acceptCharset, attribute, attributes, cookie, cookies, exchange, exchange, exchangeForRequiredValue, exchangeForRequiredValue, header, headers, httpRequest, ifModifiedSince, ifNoneMatch, retrieve`

### Methods inherited from interface org.springframework.web.client.RestClient.UriSpec

`uri, uri, uri, uri, uri`